/* Estilos específicos de la librería TesoroModal con prefijo .mtrw- */

#tesoro-rewards-widget {
    position: fixed;
    top: 20vh;
    right: 15px;
    width: 380px;
    background: #fff;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.12);
    z-index: 9999;
    border-radius: 4px;
    overflow: hidden;
    font-family: 'Outfit', sans-serif;
    font-weight: 300;
    transition: transform 0.6s cubic-bezier(0.23, 1, 0.32, 1), opacity 0.5s ease;
    transform: translateX(120%);
    opacity: 0;
    display: none;
}

#tesoro-rewards-widget.show {
    transform: translateX(0);
    opacity: 1;
}

.mtrw-close {
    position: absolute;
    top: 12px;
    right: 18px;
    cursor: pointer;
    font-size: 24px;
    color: #333;
    line-height: 1;
    z-index: 10;
    font-weight: 300;
}

.mtrw-header {
    padding: 35px 20px 10px;
    text-align: center;
}

.mtrw-logo {
    max-width: 190px;
    margin-bottom: 25px;
}

.mtrw-btn-login {
    background-color: #9a7d52;
    color: white;
    border: none;
    padding: 14px 30px;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 1.5px;
    width: 75%;
    margin: 0 auto 25px;
    display: block;
    text-decoration: none;
    font-size: 0.9rem;
    transition: all 0.3s ease;
}

.mtrw-btn-login:hover {
    background-color: #866b45;
    color: #fff;
    transform: translateY(-1px);
}

.mtrw-body {
    padding: 0 35px 25px;
    text-align: center;
}

.mtrw-body h3 {
    font-family: Outfit, sans-serif;
    font-size: 1.15rem;
    font-weight: 600;
    margin-bottom: 8px;
    color: #000;
    line-height: 1.2;
}

.mtrw-body p {
    font-size: 16px;
    color: #444;
    line-height: 1.4;
    margin: 0;
    text-align: center;
}

.mtrw-footer {
    background-color: #ffffff;
    padding: 15px 50px 15px;
    text-align: left;
}

.mtrw-footer h4 {
    font-size: 1.15rem;
    font-weight: 600;
    margin-bottom: 15px;
    color: #000;
}

.mtrw-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.mtrw-list li {
    font-size: 16px;
    margin-bottom: 0px !important;
    color: #333;
    display: flex;
    align-items: flex-start;
    line-height: 1.2;
}

.mtrw-list li::before {
    content: '✓';
    color: #4CAF50;
    font-weight: bold;
    margin-right: 10px;
    font-size: 1.1rem;
}